Name:           cockpit-image-builder
Version:        67
Release:        1.20250514144129057422.pr3224.11.gb083f6bd%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-68.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Wed May 14 2025 Packit <hello@packit.dev> - 67-1.20250514144129057422.pr3224.11.gb083f6bd
- tests: fix Satellite fixtures incorrect paranthesis (Anna Vítová)
- Wizard: make Satellite CA cert optional (Anna Vítová)
- Wizard: refactor Satellite validation (Anna Vítová)
- Wizard: fix activation key required for Satellite (Anna Vítová)
- Wizard: add details for Satellite token expiration (Anna Vítová)
- Wizard: Add package streams (regexowl)
- LandingPage: Add Users to `NewAlert` (regexowl)
- Wizard: Fix vertical height bug (Lucas Garfield)
- src: Fix user groups validation on import (regexowl)
- Post release version bump (schutzbot)
- Wizard: encode satellite cmd properly (Lukas Zapletal)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
